## org.eclipse.emf.converter
Class ModelConverter

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter

Direct Known Subclasses:
  ModelExporter, ModelImporter

    public abstract class ModelConverter

extends java.lang.Object

Since:
  2.2.0

Nested Class Summary
`static class` `ModelConverter.EPackageConvertInfo`
`protected class` `ModelConverter.ReferencedEPackageFilter`
`static class` `ModelConverter.ReferencedGenPackageConvertInfo`

Field Summary
`protected java.util.List<EPackage>` `ePackages`
`protected java.util.Map<EPackage,ModelConverter.EPackageConvertInfo>` `ePackageToInfoMap`
`protected java.util.List<GenModel>` `externalGenModelList`
`protected ResourceSet` `externalGenModelResourceSet`
`protected GenModel` `genModel`
`protected ModelConverter.ReferencedEPackageFilter` `referencedEPackageFilter`
`protected ModelConverter.ReferencedEPackageFilter` `referencedEPackageFilterToConvert`
`protected java.util.List<GenPackage>` `referencedGenPackages`
`protected java.util.Map<GenPackage,ModelConverter.ReferencedGenPackageConvertInfo>` `referencedGenPackageToInfoMap`

Constructor Summary
`ModelConverter()`

Method Summary
`protected boolean` `canConvert(EPackage ePackage)` Returns true if the EPackage can be converted.
`void` `clearEPackageConvertInfoCache()`
`void` `clearEPackagesCollections()`
`void` `clearReferenceGenPackageConvertInfoCache()`
`protected java.util.List<EPackage>` `computeEPackagesToConvert()`
`protected java.util.List<GenPackage>` `computeValidReferencedGenPackages()`
`protected ModelConverter.EPackageConvertInfo` `createEPackageInfo(EPackage ePackage)`
`protected java.util.List<EPackage>` `createEPackagesList()`
`protected ResourceSet` `createExternalGenModelResourceSet()`
`protected ModelConverter.ReferencedGenPackageConvertInfo` `createGenPackageConvertInfo(GenPackage genPackage)`
`protected ModelConverter.ReferencedEPackageFilter` `createReferencedEPackageFilter()`
`protected ModelConverter.ReferencedEPackageFilter` `createReferencedEPackageFilterToConvert()`
`protected java.util.List<GenPackage>` `createReferencedGenPackagesList()`
`ResourceSet` `createResourceSet()`
`void` `dispose()`
`java.util.List<EPackage>` `filterReferencedEPackages(java.util.Collection<EPackage> ePackages, java.util.List<GenPackage> referencedGenPackages)`
`protected java.util.List<EPackage>` `filterReferencedEPackagesToConvert(java.util.Collection<EPackage> ePackages, java.util.List<GenPackage> referencedGenPackages)`
`protected java.lang.String` `getConverterGenAnnotationSource()`
`ModelConverter.EPackageConvertInfo` `getEPackageConvertInfo(EPackage ePackage)`
`java.util.List<EPackage>` `getEPackages()`
`protected java.util.Map<EPackage,ModelConverter.EPackageConvertInfo>` `getEPackageToInfoMap()`
`java.util.List<GenModel>` `getExternalGenModels()`
`GenModel` `getGenModel()`
`protected java.util.Map<?,?>` `getGenmodelSaveOptions()` Deprecated.
`protected java.util.Map<?,?>` `getGenModelSaveOptions()`
`abstract java.lang.String` `getID()`
`java.util.List<GenPackage>` `getReferencedGenPackages()`
`protected java.util.Map<GenPackage,ModelConverter.ReferencedGenPackageConvertInfo>` `getReferencedGenPackageToInfoMap()`
`ModelConverter.ReferencedGenPackageConvertInfo` `getReferenceGenPackageConvertInfo(GenPackage genPackage)`
`EPackage` `getReferredEPackage(GenPackage genPackage)`
`void` `makeEPackageConvertDataUnique()` Changes the existing EPackage Infos so that no duplicated convert data is used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### genModel

    protected GenModel genModel

### ePackages

    protected java.util.List<EPackage> ePackages

### ePackageToInfoMap

    protected java.util.Map<EPackage,ModelConverter.EPackageConvertInfo> ePackageToInfoMap

### referencedGenPackages

    protected java.util.List<GenPackage> referencedGenPackages

### referencedGenPackageToInfoMap

    protected java.util.Map<GenPackage,ModelConverter.ReferencedGenPackageConvertInfo> referencedGenPackageToInfoMap

### externalGenModelResourceSet

    protected ResourceSet externalGenModelResourceSet

### externalGenModelList

    protected java.util.List<GenModel> externalGenModelList

### referencedEPackageFilter

    protected ModelConverter.ReferencedEPackageFilter referencedEPackageFilter

### referencedEPackageFilterToConvert

    protected ModelConverter.ReferencedEPackageFilter referencedEPackageFilterToConvert

Constructor Detail

### ModelConverter

    public ModelConverter()

Method Detail

### dispose

    public void dispose()

### getID

    public abstract java.lang.String getID()

### getConverterGenAnnotationSource

    protected java.lang.String getConverterGenAnnotationSource()

### getGenModel

    public GenModel getGenModel()

### getEPackages

    public java.util.List<EPackage> getEPackages()

### createEPackagesList

    protected java.util.List<EPackage> createEPackagesList()

### getReferencedGenPackages

    public java.util.List<GenPackage> getReferencedGenPackages()

### createReferencedGenPackagesList

    protected java.util.List<GenPackage> createReferencedGenPackagesList()

### clearEPackagesCollections

    public void clearEPackagesCollections()

### createResourceSet

    public ResourceSet createResourceSet()

### getEPackageToInfoMap

    protected java.util.Map<EPackage,ModelConverter.EPackageConvertInfo> getEPackageToInfoMap()

### getEPackageConvertInfo

    public ModelConverter.EPackageConvertInfo getEPackageConvertInfo(EPackage ePackage)

### clearEPackageConvertInfoCache

    public void clearEPackageConvertInfoCache()

### createEPackageInfo

    protected ModelConverter.EPackageConvertInfo createEPackageInfo(EPackage ePackage)

### getReferencedGenPackageToInfoMap

    protected java.util.Map<GenPackage,ModelConverter.ReferencedGenPackageConvertInfo> getReferencedGenPackageToInfoMap()

### getReferenceGenPackageConvertInfo

    public ModelConverter.ReferencedGenPackageConvertInfo getReferenceGenPackageConvertInfo(GenPackage genPackage)

### clearReferenceGenPackageConvertInfoCache

    public void clearReferenceGenPackageConvertInfoCache()

### createGenPackageConvertInfo

    protected ModelConverter.ReferencedGenPackageConvertInfo createGenPackageConvertInfo(GenPackage genPackage)

### filterReferencedEPackages

    public java.util.List<EPackage> filterReferencedEPackages(java.util.Collection<EPackage> ePackages,
                                                              java.util.List<GenPackage> referencedGenPackages)

### createReferencedEPackageFilter

    protected ModelConverter.ReferencedEPackageFilter createReferencedEPackageFilter()

### computeEPackagesToConvert

    protected java.util.List<EPackage> computeEPackagesToConvert()

### filterReferencedEPackagesToConvert

    protected java.util.List<EPackage> filterReferencedEPackagesToConvert(java.util.Collection<EPackage> ePackages,
                                                                          java.util.List<GenPackage> referencedGenPackages)

### computeValidReferencedGenPackages

    protected java.util.List<GenPackage> computeValidReferencedGenPackages()

### createReferencedEPackageFilterToConvert

    protected ModelConverter.ReferencedEPackageFilter createReferencedEPackageFilterToConvert()

### canConvert

    protected boolean canConvert(EPackage ePackage)

  Returns true if the EPackage can be converted. This method doesn't check for dependencies or anything, being focused in testing whether all the required information to generate an EPackage was gathered.

### getReferredEPackage

    public EPackage getReferredEPackage(GenPackage genPackage)

### getExternalGenModels

    public java.util.List<GenModel> getExternalGenModels()

### createExternalGenModelResourceSet

    protected ResourceSet createExternalGenModelResourceSet()

### getGenmodelSaveOptions

    @Deprecated
    protected java.util.Map<?,?> getGenmodelSaveOptions()

  Deprecated.

  This method was misnamed and will be removed in the next release.

  See Also:
    `getGenModelSaveOptions()`

### getGenModelSaveOptions

    protected java.util.Map<?,?> getGenModelSaveOptions()

### makeEPackageConvertDataUnique

    public void makeEPackageConvertDataUnique()

  Changes the existing EPackage Infos so that no duplicated convert data is used.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.